%define upstream_name    Text-Unaccent
%define upstream_version 1.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15

Summary:	Remove accents from a string
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text//%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Text-Unaccent-size_t.patch

BuildRequires:  perl-devel


%description
A module that remove accents from a string. unac_string converts the input
string from the specified charset to UTF-16 and call unac_string_utf16 to
return the unaccented equivalent. The conversion from and to UTF-16 is done
with iconv(1).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"


%install
%makeinstall_std

%files
%doc README ChangeLog
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.80.0-15pclos2017
- rebuild against updates

